<HTML>
<HEAD>
<TITLE>RSS-Feed-Demo</TITLE>
<link rel=stylesheet type="text/css" href="index.css">
</HEAD>
<BODY>
<p>
<?php
/**
* RSS Parser
* (c) 2002 - 2003 Stefan Fischer
*
* @author  Stefan Fischer <post@stefan-fischer.net>
* @version 0.2
* @package RSS
* @access  public
*/
require_once 'class.rss_parser.php';

/**
* Instanz des RSS-Parsers und setzen des Cache-Verzeichnissses
* Dieses muss exisitieren und ber die erforderlichen Schreibrechte verfgen
*/
$rss = new RSSParserCache('cache');


/**
* Aktiviert das Caching
* Gecacht wird der generierte HTML- Output, nicht der Newsfedd selber!!
*
*/
$rss->enableCaching();


/**
* setzt die Lebensdauer des gecachten Output in Sekunden
* veraltete Cache-Dateien werden periodisch aus dem Cache entfernt
*
*/
$rss->setLifetime(3600);


/**
* Welche Channeldaten sollen angezeigt werden,
* sofern sie im Channel enthalten sind?
*
* TRUE  -> anzeigen
* FALSE -> nicht anzeigen
*
* Alle anderen Elemente werden angezeigt,
* aus dem Channel-Kopf allerdings nur Titel, Beschreibung und Link
*/
$rss->OutputOptions(array('ChannelDesc' => TRUE,   // Channel - Beschreibung
 					      'ItemDesc'    => TRUE,   // Item - Beschreibung
 					      'Image'       => FALSE,   // eventuell 'enthaltene' Grafik
 					      'Textinput'   => TRUE    // eventuell 'enthaltenes' Formular
					      ));


/**
* Formatierung des Outputs
*
* Mit diesen Parametern kann der Output des Channel beinahe beliebig formatiert werden.
* Die im Beispiel eingestellten Parameter entsprechen der Standardeinstellung.
*/
$rss->OutputStyles(array('maxItem'        => 40,           // maximale Anzahl von angezeigten Items, wenn der Channel mehr enthlt
 					     'ItemSeparator'  => '<hr>',       // Trenner zwischen den Items
 					     'DescSeparator'  => '<p>',        // Trenner zwischen Titel, Beschreibung und Link
						 'ChannelBg'      => '#cccccc',    // Hintergrundfarbe des Channel-Kopfes
 				         'ChannelTitle'   => 'ozeile',           // CSS class fr Channel-Titel
 						 'ChannelDesc'    => 'mzeile',           // CSS class fr Channel-Beschreibung
 						 'ChannelLink'    => 'uzeile',           // CSS class fr Channel-Link
 					     'ItemTitle'      => 'mzeile',           // CSS class fr Item-Titel
 					     'ItemDesc'       => 'uzeile',           // CSS class fr Item-Beschreibung
 					     'ItemLink'       => 'mzeile',           // CSS class fr Item-Link
 					     'TextInputTitle' => '',           // CSS class fr TextInput-Titel
                         'TextInputDesc'  => '',           // CSS class fr TextInput-Beschreibung
 					     'TextInput'      => '',           // CSS class fr TextInput-Feld
                         'Submit'         => '',           // CSS class fr TextInput-Submit
                         'SubmitValue'    => 'GO',         // Submit Button Beschriftung
                         'TableWidth'     => 350,          // Tabellenbreite des Channels
                         'LinkTarget'     => '_blank'      // Linkziel fr Links, die im channel enthalten sind
                         ));


/**
* Erzeugt HTML-Output  des Channel mit den in
* OutputOptions() und OutputStyles() gesetzten Parametern
*
* ... bzw. holt diesen aus dem Cache
*/

if ($out = $rss->parseRSS('http://www.tagesschau.de/xml/tagesschau-meldungen/0,,,00.xml')) {

	echo $out;

} else {

	echo 'Fehlercode: '.$rss->getErrorCode().' Fehlermeldung: '.$rss->getErrorMessage();

}


?>
</BODY>
</HTML>
